#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xd1b9072b, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0xe7a7de45, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x5194fa76, "");
SYMBOL_CRC(usb_serial_resume, 0x49bb0ebf, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x81fd5219, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x0d12a7bc, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x17d7e1a9, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x290528de, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x629fadf3, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xca56945d, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xf0870f21, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x352ddc8f, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0xdc153512, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xd8d892cd, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x6848d9d6, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0xaa991866, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xabcdc3f4, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x669374ab, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0xd2189d70, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x25c4541a, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x6e7bc0d8, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xdcc9ef6d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0ad6490, "usb_put_intf" },
	{ 0x5f7c1c69, "usb_alloc_urb" },
	{ 0x4b83e0d0, "usb_autopm_put_interface" },
	{ 0x95d1a860, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xff9134f5, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaedc350b, "dev_set_name" },
	{ 0x7848093e, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x696af407, "tty_flip_buffer_push" },
	{ 0xdfaed53a, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x80108565, "tty_kref_put" },
	{ 0xa72248ec, "usb_register_driver" },
	{ 0x541e7917, "usb_match_one_id" },
	{ 0x69811386, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x6e04e8cb, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x2327b733, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc17e9946, "usb_show_dynids" },
	{ 0x5c5f2205, "tty_hangup" },
	{ 0x92c15407, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0x1903b803, "usb_get_intf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc7b96fcc, "usb_driver_release_interface" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbc58c5d3, "usb_put_dev" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe16b094c, "put_device" },
	{ 0xae7a7326, "usb_get_dev" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0xbd8a25f5, "usb_submit_urb" },
	{ 0x876e5cd3, "_dev_info" },
	{ 0x3f7b8b7d, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcd1f47a2, "module_put" },
	{ 0x92af68b9, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfd0e38b7, "usb_match_id" },
	{ 0xa85dd278, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcf6d508, "bus_unregister" },
	{ 0xd1005013, "_dev_err" },
	{ 0x15961654, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd0a83282, "tty_ldisc_ref" },
	{ 0x1ccbdf57, "tty_vhangup" },
	{ 0xb34bc478, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcddad57b, "tty_port_destroy" },
	{ 0xdc54d5ec, "tty_port_init" },
	{ 0x38ee8823, "usb_driver_claim_interface" },
	{ 0xc26f251c, "seq_putc" },
	{ 0x43832cb, "usb_poison_urb" },
	{ 0x16409065, "usb_unpoison_urb" },
	{ 0xe627ed3f, "driver_unregister" },
	{ 0x801b2f8a, "tty_port_register_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb2c9d9e8, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe193b177, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa21e5f9c, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd891f84b, "tty_port_close" },
	{ 0x7ebc429e, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x42cacd39, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb574539b, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x75cf38eb, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0be8d03, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d2f15d3, "seq_printf" },
	{ 0xacfaf36, "tty_port_open" },
	{ 0x55430c2a, "seq_puts" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xd8411336, "driver_register" },
	{ 0x9892bb6, "tty_driver_kref_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0xf654265e, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcca9493e, "tty_port_tty_get" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

